body {
    font-family: 'Lobster', cursive;
}

.game {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background: url('../images/background_mole.jpg') repeat;
}

.game-wrapper {
    padding: 20px;
    background: #fff;
    border-radius: 15px;
}

.table-game {
    margin: 0 auto;
    cursor: grab;
}

.table-game-cells {
    width: 40px;
    height: 40px;
    border: 2px solid black;
    border-radius: 5px;
}

.game-options {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 30px;
}

.btn {
    width: 90px;
    height: 40px;
    margin-bottom: 20px;
    color: white;
    text-align: center;
    border: 1px solid black;
    border-radius: 5px;
}

.start-btn {
    background: #1ac66c;
}

.start-btn:hover {
    background: #FF9933;
}

.stop-btn {
    background: #ff4561;
}

.stop-btn:hover {
    background: #000;
}

.start-btn--invisible {
    visibility: hidden;
}

.levels-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

.levels-container > label {
    margin-right: 15px;
}

.levels-container > label:last-child {
    margin-right: 0;
}

.score-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.score-container > span:first-child {
    margin-right: 20px;
}

.active-cell {
    background: url("../images/active-cell_mouse.png") no-repeat 50% 50%;
    background-size: contain;
}

.fail-cell {
    background: url("../images/fail-cell_player-loose.png") no-repeat 50% 50%;
    background-size: 100%;
    animation: animatedFail 0.3s linear;
}

.correct-cell {
    background: url("../images/correct-cell_pick-up-mouse.png") no-repeat 50% 50%;
    background-size: 100%;
}


/*Animation*/

@keyframes animatedFail {
    from { background-size: 30%; }
    to { background-size: 100%; }
}